Ginkgo: gko::log::Record::logged_data Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::log::Record::logged_data Struct Reference

Struct storing the actually logged data. More...

`#include <ginkgo/core/log/record.hpp>`

Collaboration diagram for gko::log::Record::logged_data:
[legend]

## Public Attributes
std::deque< std::unique_ptr< executor_data > > | allocation_started
std::deque< std::unique_ptr< executor_data > > | allocation_completed
std::deque< std::unique_ptr< executor_data > > | free_started
std::deque< std::unique_ptr< executor_data > > | free_completed
std::deque< std::unique_ptr< std::tuple< executor_data, executor_data > > > | copy_started
std::deque< std::unique_ptr< std::tuple< executor_data, executor_data > > > | copy_completed
std::deque< std::unique_ptr< operation_data > > | operation_launched
std::deque< std::unique_ptr< operation_data > > | operation_completed
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_create_started
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_create_completed
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_copy_started
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_copy_completed
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_move_started
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_move_completed
std::deque< std::unique_ptr< polymorphic_object_data > > | polymorphic_object_deleted
std::deque< std::unique_ptr< linop_data > > | linop_apply_started
std::deque< std::unique_ptr< linop_data > > | linop_apply_completed
std::deque< std::unique_ptr< linop_data > > | linop_advanced_apply_started
std::deque< std::unique_ptr< linop_data > > | linop_advanced_apply_completed
std::deque< std::unique_ptr< linop_factory_data > > | linop_factory_generate_started
std::deque< std::unique_ptr< linop_factory_data > > | linop_factory_generate_completed
std::deque< std::unique_ptr< criterion_data > > | criterion_check_started
std::deque< std::unique_ptr< criterion_data > > | criterion_check_completed
std::deque< std::unique_ptr< iteration_complete_data > > | iteration_completed

## Detailed Description

Struct storing the actually logged data.

The documentation for this struct was generated from the following file:

- ginkgo/core/log/record.hpp